summaryrefslogtreecommitdiff
path: root/bin/pkg
diff options
context:
space:
mode:
authorDaniel Friesel <derf@derf.homelinux.org>2008-10-22 17:38:22 +0200
committerDaniel Friesel <derf@derf.homelinux.org>2008-10-22 17:38:22 +0200
commit8172cbf20f4d88c106baa5303f623ecc9cb75624 (patch)
tree23efbde597e1a33d66da1db84d635880aeb719e0 /bin/pkg
parent1cd3f4137e304584a47ddc614a09710e3022bfdd (diff)
bin/pkg: populate_collected: Introduced say()
Diffstat (limited to 'bin/pkg')
-rwxr-xr-xbin/pkg12
1 files changed, 8 insertions, 4 deletions
diff --git a/bin/pkg b/bin/pkg
index f7c3002..57ee68f 100755
--- a/bin/pkg
+++ b/bin/pkg
@@ -37,6 +37,10 @@ die () {
exit 100
}
+say () {
+ (( SILENT )) || echo $*
+}
+
check_installed () {
[[ -n $1 && -d $PDIR/$1 ]] || die "Not installed: '$1'\n"
}
@@ -325,9 +329,9 @@ populate_collected () {
manpage=${i:t}
if (podchecker man/$section/$manpage &> /dev/null) {
pod2man -s $section -c "$1 package" -r $HOME man/$section/$manpage > $PDIR/.collected/man/man$section/$manpage.$section
- echo -n "+"
+ say -n "+"
} else {
- echo -n "."
+ say -n "."
}
}
}
@@ -335,9 +339,9 @@ populate_collected () {
for i in bin/*; {
if (podchecker $i &> /dev/null) {
pod2man $i > $PDIR/.collected/man/man1/${i:t}.1
- echo -n "+"
+ say -n "+"
} else {
- echo -n "."
+ say -n "."
}
}
}